- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRFillStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRFillStyle ()
| CDRFillStyle (unsigned short ft, CDRColor c1, CDRColor c2, const CDRGradient &gr, const CDRImageFill &img)
| CDRFillStyle (const CDRFillStyle &style)

## Public Attributes
unsigned short | fillType
CDRColor | color1
CDRColor | color2
CDRGradient | gradient
CDRImageFill | imageFill

## Constructor & Destructor Documentation

libcdr::CDRFillStyle::CDRFillStyle | ( |  | ) |
| inline

libcdr::CDRFillStyle::CDRFillStyle | ( | unsigned short | ft,
|  | CDRColor | c1,
|  | CDRColor | c2,
|  | const CDRGradient & | gr,
|  | const CDRImageFill & | img
| ) |  |
| inline

libcdr::CDRFillStyle::CDRFillStyle | ( | const CDRFillStyle & | style | ) |
| inline

## Member Data Documentation

CDRColor libcdr::CDRFillStyle::color1

CDRColor libcdr::CDRFillStyle::color2

unsigned short libcdr::CDRFillStyle::fillType

CDRGradient libcdr::CDRFillStyle::gradient

CDRImageFill libcdr::CDRFillStyle::imageFill

The documentation for this struct was generated from the following file:

- CDRTypes.h